Bio::MAGETAB::Util::Reader::SDRF(3)

NAME
Bio::MAGETAB::Util::Reader::SDRF - SDRF parser class.

SYNOPSIS
 use Bio::MAGETAB::Util::Reader::SDRF;
 my $parser = Bio::MAGETAB::Util::Reader::SDRF->new({
     uri => $sdrf_filename,
 });
 my $sdrf = $parser->parse();

DESCRIPTION
This class is used to parse SDRF files. It can be used on its own, but more often you will want to use the main Bio::MAGETAB::Util::Reader class which handles extended parsing options more transparently.

ATTRIBUTES
See the TabFile class for superclass attributes.

magetab_object
    A Bio::MAGETAB::SDRF object. This can either be set upon instantiation, or a new object will be created for you. It can be retrieved at any time using "get_magetab_object".

METHODS

parse
    Parse the SDRF pointed to by "$self->get_uri()". Returns the Bio::MAGETAB::SDRF object updated with the SDRF contents.

SEE ALSO
Bio::MAGETAB::Util::Reader::Tabfile Bio::MAGETAB::Util::Reader Bio::MAGETAB::SDRF

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).